Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055319 - Fix location of keystore
Summary: Fix location of keystore
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: pressgang-ccms-dev
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 00:37 UTC by Matthew Casperson
Modified: 2014-08-04 22:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 03:02:35 UTC


Attachments (Terms of Use)

Description Matthew Casperson 2014-01-20 00:37:12 UTC
In standalone.xml, change

certificate-key-file="../standalone/configuration/server_keystore.jks"

to

certificate-key-file="${jboss.server.base.dir}/configuration/server_keystore.jks"

The latter works if you run

./standalone.sh -Djboss.server.base.dir=/some/other/dir/standalone

Comment 1 Lee Newson 2014-01-20 00:41:50 UTC
You could also use 

certificate-key-file="${jboss.server.config.dir}/server_keystore.jks"

if you are storing it in the JBoss Standalone configuration directory.

Comment 2 Lee Newson 2014-01-24 06:24:43 UTC
Just adding that the jboss.server.base.dir or jboss.server.config.dir properties  shouldn't be used if you plan to change it via standalone.sh. The reason is that changing it via standalone.sh will make the server look in another directory for the server config, deployment, log and other server files. See https://docs.jboss.org/author/display/AS7/Command+line+parameters

Comment 3 Lee Newson 2014-02-06 03:02:35 UTC
I've updated the production server to point to the JBoss Standalone configuration directory using the "jboss.server.config.dir" system property.


Note You need to log in before you can comment on or make changes to this bug.